| Kea 3.0.2-git

srv_config.h File Reference
`#include <cc/cfg_to_element.h>`
`#include <dhcpsrv/cfg_db_access.h>`
`#include <dhcpsrv/cfg_duid.h>`
`#include <dhcpsrv/cfg_expiration.h>`
`#include <dhcpsrv/cfg_globals.h>`
`#include <dhcpsrv/cfg_host_operations.h>`
`#include <dhcpsrv/cfg_hosts.h>`
`#include <dhcpsrv/cfg_iface.h>`
`#include <dhcpsrv/cfg_option.h>`
`#include <dhcpsrv/cfg_option_def.h>`
`#include <dhcpsrv/cfg_rsoo.h>`
`#include <dhcpsrv/cfg_shared_networks.h>`
`#include <dhcpsrv/cfg_subnets4.h>`
`#include <dhcpsrv/cfg_subnets6.h>`
`#include <dhcpsrv/cfg_mac_source.h>`
`#include <dhcpsrv/cfg_consistency.h>`
`#include <dhcpsrv/client_class_def.h>`
`#include <dhcpsrv/d2_client_cfg.h>`
`#include <dhcpsrv/ddns_params.h>`
`#include <process/config_base.h>`
`#include <hooks/hooks_config.h>`
`#include <cc/data.h>`
`#include <cc/user_context.h>`
`#include <cc/simple_parser.h>`
`#include <config/http_command_config.h>`
`#include <util/optional.h>`
`#include <util/str.h>`
`#include <boost/shared_ptr.hpp>`
`#include <vector>`
`#include <stdint.h>`
Include dependency graph for srv_config.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::SrvConfig
| Specifies current DHCP configuration. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
Pointers to the @c SrvConfig object.
typedef boost::shared_ptr< const SrvConfig > | isc::dhcp::ConstSrvConfigPtr
| Const pointer to the `SrvConfig`.
typedef boost::shared_ptr< SrvConfig > | isc::dhcp::SrvConfigPtr
| Non-const pointer to the `SrvConfig`.